Search Specific IVRs
Search specific IVRs from the IVR list.
Request URL
GET {base_url}/{api_path}/ivr/search?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
| search_value | No | String | Search keyword. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of searched IVRs. |
| data | Array <IVR_List> | The information of the IVR. |
IVR_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the IVR. |
| number | String | IVR number. |
| name | String | IVR name. |
| dial_ext_option | String | Whether to allow callers to dial extensions via the IVR.
|
| enb_dial_outb_routes | Integer | Whether to allow callers to use outbound routes to make outbound calls from the IVR.
|
| client_unique_ringtone | String | The distinctive ringtone that will be played on extension users' Simu Connect clients when they receive calls from this IVR. |
Examples
Request example
Search for the IVR with the number "6200".
GET /openapi/v1.0/ivr/search?access_token=Jh5d63SPHsNMnv6nzoOgUeKDyXSuOGxg&search_value=6200 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 1,
"data": [
{
"id": 1,
"number": "6200",
"name": "VoiceMenu Navigator",
"dial_ext_option": "allow",
"enb_dial_outb_routes": 1,
"client_unique_ringtone": "Ring1.mp3"
}
]
}